Distorted Android - Bug #16

When rotated at an angle, surfaces get increasingly transparent
Description

Any surface gets more and more transparent when rotated.

This is probably issue with the last line of the fragment shader, where we multiply the g_FragColor (everything including alpha) by

(v_Normal.z+1.0)/2.

History

#1 - 07/07/2016 03:05 PM - Distorted Admin
- Status changed from New to In Progress

- Assignee set to Leszek Koltunski

#2 - 07/20/2016 11:13 PM - Distorted Admin

- Status changed from In Progress to Closed

Commit library|ff8ad0a7 fixes this.

#3 - 04/13/2018 12:19 AM - Distorted Admin
- % Done changed from 0 to 100
https://distorted.org/redmine/projects/distorted-android/repository/library/revisions/ff8ad0a7cd8ac5c55f3bf0400c95cb98e441a1af
